﻿using System.Runtime.Serialization;

namespace GoogleAPI.UrlShortener
{
    /// <summary>
    /// A summary of the click analytics for the short and long URL.
    /// Might not be present if not requested or currently unavailable.
    /// 
    /// Analytics details for a particular window of time; 
    /// counts in this object are of clicks that occurred within the most recent window of this length. 
    /// Aside from longUrlClicks, all counts correspond to clicks on this particular short URL.
    /// </summary>
    [DataContract]
    public class Analytics
    {
        [DataMember(Name = "allTime")]
        public AnalyticsBase AllTime { get; set; }

        [DataMember(Name = "month")]
        public AnalyticsBase Month { get; set; }

        [DataMember(Name = "week")]
        public AnalyticsBase Week { get; set; }

        [DataMember(Name = "day")]
        public AnalyticsBase Day { get; set; }

        [DataMember(Name = "twoHours")]
        public AnalyticsBase TwoHours { get; set; }
    }
}
