﻿using System.Runtime.Serialization;

namespace GoogleAPI.UrlShortener
{
    [DataContract]
    public class HistoryResponse
    {            
        /// <summary>
        /// The fixed string "urlshortener#urlHistory".
        /// </summary>
        [DataMember(Name="kind")]
        public string Kind { get; set; }

        /// <summary>
        /// Total number of short URLs associated with this user (may be approximate).S".
        /// </summary>
        [DataMember(Name = "totalItems")]
        public string TotalItems { get; set; }

        /// <summary>
        /// Number of items returned with each full "page" of results. 
        /// Note that the last page could have fewer items than the "itemsPerPage" value.
        /// </summary>
        [DataMember(Name = "itemsPerPage")]
        public string ItemsPerPage { get; set; }

        /// <summary>
        /// A token to provide to get the next page of results.
        /// </summary>
        [DataMember(Name = "nextPageToken")]
        public string NextPageToken { get; set; }

        /// <summary>
        /// A list of URL resources.
        /// </summary>
        [DataMember(Name = "items")]
        public ExpandResponse[] Items { get; set; }
    }
}
